aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/testenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/testenv.sh')
-rw-r--r--testsuite/testenv.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testsuite/testenv.sh b/testsuite/testenv.sh
index eec062d78..409346f58 100644
--- a/testsuite/testenv.sh
+++ b/testsuite/testenv.sh
@@ -38,7 +38,7 @@ fi
analyze ()
{
echo "analyze $@"
- "$GHDL" -a $GHDL_STD_FLAGS $GHDL_FLAGS $@
+ "$GHDL" -a $GHDL_STD_FLAGS $GHDL_FLAGS "$@"
}
# Analyze files (failure expected)
@@ -46,7 +46,7 @@ analyze_failure ()
{
echo "try to analyze $@"
# for arg in $@; do echo "arg: $arg"; done
- if ! "$GHDL" -a --expect-failure $GHDL_STD_FLAGS $GHDL_FLAGS $@ ; then
+ if ! "$GHDL" -a --expect-failure $GHDL_STD_FLAGS $GHDL_FLAGS "$@" ; then
echo "Failure expected"
return 1
fi